netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
file.c File Reference
`#include <atalk/logger.h>`
`#include <sys/param.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "file.h"`

## Functions
int | markline (struct papfile *pf, char **start, int *linelength, int *crlflength)
void | morespace (struct papfile *pf, const char *data, int len)
void | append (struct papfile *pf, const char *data, int len)
void | spoolreply (struct papfile *out, char *str)
void | spoolerror (struct papfile *out, char *str)

## Function Documentation

## ◆ append()

void append | ( | struct papfile * | pf,
|  | const char * | data,
|  | int | len )

## ◆ markline()

int markline | ( | struct papfile * | pf,
|  | char ** | start,
|  | int * | linelength,
|  | int * | crlflength )

## ◆ morespace()

void morespace | ( | struct papfile * | pf,
|  | const char * | data,
|  | int | len )

## ◆ spoolerror()

void spoolerror | ( | struct papfile * | out,
|  | char * | str )

## ◆ spoolreply()

void spoolreply | ( | struct papfile * | out,
|  | char * | str )